---
title: 'Feature-Policy: document-domain'
slug: Web/HTTP/Headers/Feature-Policy/document-domain
tags:
  - Directive
  - Experimental
  - Feature Policy
  - Feature-Policy
  - HTTP
  - Reference
  - document-domain
  - header
---
<div>{{HTTPSidebar}} {{SeeCompatTable}}</div>

<p><span class="seoSummary">The HTTP {{HTTPHeader("Feature-Policy")}} header <code>document-domain</code> directive controls whether the current document is allowed to set {{domxref("document.domain")}}. When this policy is enabled, attempting to set {{domxref("document.domain")}} will fail and cause a <code>SecurityError</code> {{domxref("DOMException")}} to be thrown.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">Feature-Policy: document-domain &lt;allowlist&gt;;</pre>

<dl>
 <dt>&lt;allowlist&gt;</dt>
 <dd>{{page("Web/HTTP/Feature_Policy/Using_Feature_Policy", "allowlist")}}</dd>
</dl>

<h2 id="Default_policy">Default policy</h2>

<p>The default value is <code>*</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#document-domain-feature', 'document-domain')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("http.headers.Feature-Policy.document-domain")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Feature-Policy")}} header</li>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy">Feature Policy</a></li>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy/Using_Feature_Policy">Using Feature Policy</a></li>
</ul>
